---
sidebar_position: 1
---
# Overview



The Client API (xxDK) is the client-side software for communicating with the cMix network, a privacy-protecting layer within the larger [xx network](https://xx.network/) blockchain ecosystem. cMix builds on current data protection mechanisms by extending security beyond just content to include metadata — the what, when, where, and how of user activity.

:::info
To learn more about the cMix protocol and what it offers, a good place to start is [the cMix whitepaper](https://xx.network/xxcMixwhitepaper.pdf).
:::

The xxDK helps developers provide unparalleled privacy for their users by implementing xx network messaging features such as end-to-end encryption and metadata protection. It comes with an API library and related command-line facilities that enable developers to build full-featured xx clients for all platforms. Additionally, the base messaging protocols can be extended.

Some use cases for integrating the API into your applications include (but are not limited to) building:

- Banking applications
- Voting applications, such as [Votexx](https://votexx.org/)
- Secure messaging apps for private communication, such as [xx messenger](../../dapps/xxm)

The xxDK supports golang versions 1.17 or newer. You can find the most recent version on [Gitlab](https://git.xx.network/elixxir/client). 

It's easy to get started with the xxDK. Explore the links below to find what you need.

### Getting Started

The [Getting Started](getting-started) guide is where to begin if you're looking to get up and running quickly.

### API Quick Reference

The [API Quick Reference](https://pkg.go.dev/gitlab.com/elixxir/client/xxdk) provides extensive detail on the different types and functions exposed by the xxDK.

### Technical Glossary

The [Technical Glossary](technical-glossary) offers meanings to unfamiliar terms and concepts specific to the cMix system.

<!-- ### FAQs

Refer to the FAQ for answers to some of our users' most common questions. -->
