# Claiming Tokens

Check out the [Genesis Block
Spreadsheet](https://docs.google.com/spreadsheets/d/1xBeCP5awzGDACiKsOUUjHMwJpNQ6ac3bBcIK_eg5wUI).

1.  Before starting, this guide will utilize MetaMask. It is suggested that you [install the browser
    extension for MetaMask](https://metamask.io/download) and set it up
    with your Ethereum wallet from the sale. 
2.  You will need to have generated an account and added the account to the Web Wallet.
    You can learn more about [Using the Wallet Generator](generateAccount) and [Adding Accounts to the Web Wallet](addAccount).
3.  In the navigation menu of the [Web Wallet](https://wallet.xx.network), go to *Accounts* and in the drop-down menu,
    click on *Claim Tokens*.
    ![](@site/static/img/Main_Menu_-_Accounts,_Claim_Tokens.png)
4.  The *claim your xx tokens* page will open.
    ![](@site/static/img/Select_Account_to_Claim_Tokens.png)
    a.  Select the correct account from the drop-down menu.
    
    b.  Press the *Continue* button to proceed to the next step.

5.  Next, in the *Choose how to sign* box, select the *Use MetaMask*
    button.
    ![](@site/static/img/Choose_How_to_Sign_to_Claim_Tokens.png)
6.  Next, a pop-up will appear asking you to select a wallet. Click on
    the *MetaMask* button.
    ![](@site/static/img/Select_a_Wallet.png)
7.  A pop-up in a separate window will appear asking you to connect 
    `https://wallet.xx.network` with MetaMask. Make sure you have the correct
    wallet selected and then press the *Next* button to continue.
    ![](@site/static/img/Connect_with_MetaMask.png)
8.  Finally, click the *Connect* button to connect your account.
    ![](@site/static/img/Connect_MetaMask_Account_with_Explorer.png)
9.  Once connected, the window should close and your Ethereum address
    will be filled in inside the third box labeled *Confirm ETH address
    from the sale*. Press the *Confirm Address* button to confirm the
    address and claim your token.
    ![](@site/static/img/Confirm_Ethereum_Address_to_Claim_Tokens.png)
10. A fourth box labeled *Sign with your metamask extension the
    following payload* will contain an agreement that you must read
    through and agree to. Once you have done so, cliock the *Confirm
    Payload* button.
    :::tip
    Read the agreement in full. You can download a PDF of the agreement using the link provided.
    :::
    ![](@site/static/img/Explorer_-_Claim_Tokens_Contract.png)
11. A MetaMask pop-up window will appear asking you to sign the request.
    Verify the details are correct and click the "Sign" button.

    ![](@site/static/img/MetaMask_Sign_Request.png)
12. If you have tokens to claim, a new box will show up showing how many
    are available. Click the *Claim* button to claim the tokens.
    ![](@site/static/img/Ethereum_Account_has_Valid_Claim_for_xx.png)
13. A window will appear asking you to authorize the transaction. Click
    the *Submit (no signature)* button to authorize.
    ![](@site/static/img/Authorize_Transaction_-_Claim_xx_Tokens.png)
14. On Success, you will see two notifications in the top right of the windows similar to below.

    ![](@site/static/img/Claiming_xx_Token_Transaction_Notifications.png)